org.apache.ignite.internal.visor.node

## Class VisorNodeDataCollectorTaskResult

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorNodeDataCollectorTaskResult

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorNodeDataCollectorTaskResult
    extends VisorDataTransferObject

Data collector task result.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorNodeDataCollectorTaskResult()` Default constructor.

### Method Summary

Methods
`Map<UUID,Collection<VisorCache>>` `getCaches()`
`Map<UUID,VisorExceptionWrapper>` `getCachesEx()`
`Map<UUID,Long>` `getErrorCounts()`
`List<VisorGridEvent>` `getEvents()`
`Map<UUID,VisorExceptionWrapper>` `getEventsEx()`
`Map<UUID,String>` `getGridNames()`
`Map<UUID,Collection<VisorIgfsEndpoint>>` `getIgfsEndpoints()`
`Map<UUID,Collection<VisorIgfs>>` `getIgfss()`
`Map<UUID,VisorExceptionWrapper>` `getIgfssEx()`
`Map<UUID,Long>` `getTopologyVersions()`
`Map<UUID,VisorExceptionWrapper>` `getUnhandledEx()`
`boolean` `isActive()`
`boolean` `isEmpty()`
`Map<UUID,Boolean>` `isTaskMonitoringEnabled()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`void` `setActive(boolean active)`
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorNodeDataCollectorTaskResult

    public VisorNodeDataCollectorTaskResult()

Default constructor.

### Method Detail

#### isEmpty

    public boolean isEmpty()

Returns:
  `true` If no data was collected.

#### isActive

    public boolean isActive()

Returns:
  `True` if grid is active.

#### setActive

    public void setActive(boolean active)

Parameters:
  `active` - active New value of grid active flag.

#### getUnhandledEx

    public Map<UUID,VisorExceptionWrapper> getUnhandledEx()

Returns:
  Unhandled exceptions from nodes.

#### getGridNames

    public Map<UUID,String> getGridNames()

Returns:
  Nodes grid names.

#### getTopologyVersions

    public Map<UUID,Long> getTopologyVersions()

Returns:
  Nodes topology versions.

#### isTaskMonitoringEnabled

    public Map<UUID,Boolean> isTaskMonitoringEnabled()

Returns:
  All task monitoring state collected from nodes.

#### getEvents

    public List<VisorGridEvent> getEvents()

Returns:
  All events collected from nodes.

#### getEventsEx

    public Map<UUID,VisorExceptionWrapper> getEventsEx()

Returns:
  Exceptions caught during collecting events from nodes.

#### getCaches

    public Map<UUID,Collection<VisorCache>> getCaches()

Returns:
  All caches collected from nodes.

#### getCachesEx

    public Map<UUID,VisorExceptionWrapper> getCachesEx()

Returns:
  Exceptions caught during collecting caches from nodes.

#### getIgfss

    public Map<UUID,Collection<VisorIgfs>> getIgfss()

Returns:
  All IGFS collected from nodes.

#### getIgfsEndpoints

    public Map<UUID,Collection<VisorIgfsEndpoint>> getIgfsEndpoints()

Returns:
  All IGFS endpoints collected from nodes.

#### getIgfssEx

    public Map<UUID,VisorExceptionWrapper> getIgfssEx()

Returns:
  Exceptions caught during collecting IGFS from nodes.

#### getErrorCounts

    public Map<UUID,Long> getErrorCounts()

Returns:
  Nodes error counts.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                        ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017